Subject: [OAUTH-WG] FW: [jose] Coalescing additional duplicative terminology definitions

From: Mike Jones <[email-masked]>
Date: Thu, 19 Jun 2014 01:21:49 +0000

I wanted to make OAuth working group members aware of this possibility, since it would have editorial effects upon the JWT draft.  Please discuss this on the JOSE mailing list.

From: jose [mailto:[email-masked]] On Behalf Of Mike Jones
Sent: Wednesday, June 18, 2014 6:19 PM
To: Kathleen Moriarty; [email-masked]
Subject: [jose] Coalescing additional duplicative terminology definitions

Dear Kathleen and JOSE working group,

The current drafts already addressed JOSE issue #58 (Remove repeated, ephemeral, or obvious terminology) to a sufficient degree that Jim closed the issue in November.  However, looking at this again with possibly fresher eyes, there's one remaining area of duplication that we may want to address.  Specifically, these related term definitions are all present:

In JWS: JWS Header, Header Parameter
In JWE: JWE Header, Header Parameter
In JWA: Header Parameter
In JWT: JWT Header, Header Parameter

It would be possible editorially to coalesce the terms JWS Header, JWE Header, and JWT header to a single JOSE Header term defined in one place.  And having done that, it would then also be possible to also replace the multiple Header Parameter definitions with a single one.

Some had expressed an interest in doing this in the past, especially when observing how having the multiple related definitions adds text to the JWT draft, and how it could similarly add such text to other specs that use both signed and encrypted JOSE objects.  Having thought about it for a while, and taking a fresh look at it, I now agree that this would be feasible, non-invasive, non-breaking, and result in improved editorial clarity.  But given how far along we are with the drafts, I didn't want to presume that I should make this change without explicitly asking if people agree with it.

Are people OK with this proposed editorial simplification, or would people prefer to leave the terminology as-is?

                                                            -- Mike